import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/vigneswaran009/14ccb1906157bad2cd15b8fcce2b459b/raw/CovidBedStatus.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)

  useEffect(() => {
    const row = d => {
      d.Population = +d['Total_covid_vacant'] * 1000;
      return d;
    };
    csv(csvUrl, row).then(data => {
     var sorted = data.sort((a, b) => d3.descending(parseInt(a.Total_covid_vacant), parseInt(b.Total_covid_vacant)));
      
      
var top10 = sorted.slice(0, 20); // slice the first 10
      
     


    setData(top10.filter(function(v) { return v.Total_covid_vacant != 0; }));
      



    });
  }, []);
  
  return data;
};